=== debian/changelog ===
mathgl (2~rc1-1) experimental; urgency=low

  * New experimental upstream release (Closes: 632468).
  * No documentation debian packages provided.   

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Wed, 28 Sep 2011 11:30:00 +0300
